Willkommen Gast. Bitte anmelden oder registrieren.

Autor Thema: Problem mit Anmeldemodul nach jupgrade von 1.5.26 auf 2.5.4  (Gelesen 2579 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

rodyz

  • Unter Beobachtung
  • Beiträge: 3
Hi all,

vorneweg - ich bin kein Webmaster-, geschweige denn Joomla-Profi. Ich bitte daher um Nachsicht.

Die Seite http://adfc-vogelsberg.de habe ich mit jupgrade auf 2.5.4 gehievt - http://adfc-vogelsberg.de/jupgrade - und auch schon das Update auf 2.5.11 (allerdings nur auf meinem lokalem Server) durchgeführt. Gehostet wird sie bei kilu.

Das verwendete Template ist "colortech" (http://www.joomla24.com/Joomla_1.5.x...ColorTech.html), hatte ich schon unter Joomla 1.5 etwas angepaßt und nach Anleitung (http://magazine.joomla.org/issues/Is...e-to-Joomla-25) für Joomla 2.5. passend gemacht, (wobei meine Erfahrung mit Templates-Anpassungen ist, daß die Motools Javascript Library nicht geladen werden darf - das ist aber ein anderes Thema).

Läuft alles prima bis auf das Login-Menü. Das wird nur in Englisch angezeigt. Und wenn ich mich versuche einzuloggen, erhalte ich ein 404. Nehme ich dagegen das Standard-Template "atomic", wird das Login-Menü in Deutsch angezeigt und das Login funzt.

Irgendeiner irgendeine Idee?

TIA rodyz

Joomla-Hilfe

  • Oberwetterfrosch (Mod)
  • Beiträge: 155
Antw: Problem mit Anmeldemodul nach jupgrade von 1.5.26 auf 2.5.4
« Antwort #1 am: 28. Juni 2013, 13:16:53 »
Das dürfte an einem Override im Template liegen. Da werden eigene Sprachvariablen verwendet, für die keine deutsche Sprachdatei installiert ist.
Dietmar

Die Realität ist eine Halluzination, die durch akuten Alkoholmangel hervorgerufen wird.

rodyz

  • Unter Beobachtung
  • Beiträge: 3
Antw: Problem mit Anmeldemodul nach jupgrade von 1.5.26 auf 2.5.4
« Antwort #2 am: 28. Juni 2013, 13:46:24 »
@Dietmar
Danke für die Antwort.
Ich hab zwar keine Ahnung, und davon ganz schön viel, bin aber durchaus experimentierfreudig. In welcher Template-Datei werden denn die Variablen definiert?
Und was hat sich bei Joomla und den Sprachvariablen denn geändert, daß das Problem nach dem Upgrade auftaucht?

Firstlady

  • Pink Berserk (Mod)
  • Beiträge: 190
    • www.chmst.de
Antw: Problem mit Anmeldemodul nach jupgrade von 1.5.26 auf 2.5.4
« Antwort #3 am: 29. Juni 2013, 18:13:16 »
Diese Umstellung von 1.5 auf 2.5 war eine große Umstellung - was sich da alles geändert hat möchtest du gar nicht wissen. Aber da das Problem eindeutig an deinem Template liegt, kannst du eins machen:
Schau, was sich in den Overrides (Verzeichnis /html) befindet und nimm es weg, kann ja sein dass der Joomla-Standard deinen Ansprüchen genügt.
Wenn nicht wirst du nicht darum herum kommen, in deinen Overrides die Links neu zu setzen.
Grüße, Christiane

rodyz

  • Unter Beobachtung
  • Beiträge: 3
Antw: Problem mit Anmeldemodul nach jupgrade von 1.5.26 auf 2.5.4
« Antwort #4 am: 19. September 2013, 16:59:26 »
@Christiane

etwas spät bedanke ich mich noch für Deine Antwort.

Wie ich mittlerweile herausbekommen habe, wurde das Template mit Artisteer erstellt. Und da hat man angeblich keine Chance, nachträglich was zu ändern. Ich werde mir also ein neues Template suchen :-(.

rodyz

meinermeiner

  • Unter Beobachtung
  • Beiträge: 1
Antw: Problem mit Anmeldemodul nach jupgrade von 1.5.26 auf 2.5.4
« Antwort #5 am: 11. Oktober 2013, 10:46:29 »
Falls es noch dir helfen sollte, hier einige kleine Denkanstöße:

  • Evtl. hat der Ersteller der Seite (bzw. des Templates) noch die .artx Datei (Format von Artisteer, die benötigt wird, um Änderungen an diesem Template vorzunehmen. Artisteer kaufen und verändern
  • Diese .artx Dateien werden normalerweise automatisch in der erstellten ("Export") .zip Datei gespeichert und viele luden automatisch diese .artx Datei auf den Webserver -> mal danach auf dem Server suchen (war jedenfalls früher so) 
  • Das Template (mit Artisteer - schnellster Erfolg für Beginner) nachbauen

bembelimen

  • moderatives Dielektrikum
  • Beiträge: 227
  • Ich kam, sah und zensierte...
    • Joomla! Vereinsverwaltung
Antw: Problem mit Anmeldemodul nach jupgrade von 1.5.26 auf 2.5.4
« Antwort #6 am: 11. Oktober 2013, 13:38:08 »
Es ist meistens nie eine gute Idee ein Artisteertemplate zu bauen/nutzen/weiter zu geben, weil irgendwann knallt es immer.
Joomla! ist auch nur ein Mensch...